## org.eclipse.datatools.modelbase.sql.datatypes
Class OrderingType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.datatypes.OrderingType

public final class OrderingType
extends AbstractEnumerator

A representation of the literals of the enumeration 'Ordering Type', and utility methods for working with them. Reference: 5WD-02-Foundation-2002-12 4.7 User-defined types

See Also:
  `SQLDataTypesPackage.getOrderingType()`, Serialized Form

Field Summary
`static int` `EQUALS` The 'EQUALS' literal value.
`static OrderingType` `EQUALS_LITERAL` The 'EQUALS' literal object.
`static int` `FULL` The 'FULL' literal value.
`static OrderingType` `FULL_LITERAL` The 'FULL' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Ordering Type' enumerators.

Method Summary
`static OrderingType` `get(int value)` Returns the 'Ordering Type' literal with the specified integer value.
`static OrderingType` `get(java.lang.String literal)` Returns the 'Ordering Type' literal with the specified literal value.
`static OrderingType` `getByName(java.lang.String name)` Returns the 'Ordering Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EQUALS

    public static final int EQUALS

  The 'EQUALS' literal value.

  See Also:
    `EQUALS_LITERAL`, Constant Field Values

### FULL

    public static final int FULL

  The 'FULL' literal value.

  See Also:
    `FULL_LITERAL`, Constant Field Values

### EQUALS_LITERAL

    public static final OrderingType EQUALS_LITERAL

  The 'EQUALS' literal object.

  If the meaning of 'EQUALS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EQUALS`

### FULL_LITERAL

    public static final OrderingType FULL_LITERAL

  The 'FULL' literal object.

  If the meaning of 'FULL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FULL`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Ordering Type' enumerators.

Method Detail

### get

    public static OrderingType get(java.lang.String literal)

  Returns the 'Ordering Type' literal with the specified literal value.

### getByName

    public static OrderingType getByName(java.lang.String name)

  Returns the 'Ordering Type' literal with the specified name.

### get

    public static OrderingType get(int value)

  Returns the 'Ordering Type' literal with the specified integer value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.